Package es.imim.DISGENET.exceptions

# Class DisGeNetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
es.imim.DISGENET.exceptions.DisGeNetException

All Implemented Interfaces:
  `Serializable`

public class DisGeNetException extends Exception
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DisGeNetException()`
`DisGeNetException(String message)`
`DisGeNetException(String message, Throwable cause)`
`DisGeNetException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`DisGeNetException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DisGeNetException

public DisGeNetException()

### DisGeNetException

public DisGeNetException(String message)

### DisGeNetException

public DisGeNetException(Throwable cause)

### DisGeNetException

public DisGeNetException(String message, Throwable cause)

### DisGeNetException

public DisGeNetException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)